Loading...
Searching...
No Matches
cap_alloc_impl.h File Reference

Capability allocator implementation. More...

`#include <l4/bid_config.h>`
`#include <l4/re/cap_alloc>`
`#include <l4/re/util/counting_cap_alloc>`
`#include <l4/re/util/debug>`
Include dependency graph for cap_alloc_impl.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

class | L4Re::Util::_Cap_alloc
| Adapter to expose the cap allocator implementation as L4Re::Cap_alloc compatible class. More...

## Namespaces

namespace | L4Re
| L4Re C++ Interfaces.
namespace | L4Re::Util
| Documentation of the L4 Runtime Environment utility functionality in C++.

## Detailed Description

Capability allocator implementation.

Definition in file cap_alloc_impl.h.